# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-ajaxplorer
%define version 0.1.3
%define release 1
Summary: sme server integration of ajaxplorer
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.ajaxplorer.info/wordpress/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base >= 5.2.0-56
Requires: ajaxplorer >= 4.0.0
Requires: smeserver-webapps-common
Requires: smeserver-shared-folders >= 0.1-64
Requires: perl(PHP::Serialization)
Requires: perl(File::Path)

%description
smserver integration of ajaxplorer.
Ajaxplorer is a rich-client browser for managing files on a web server
This contrib works with the smeserver-shared-folders addon

%changelog
* Wed Apr 18 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.3-1
- Only update homedir ACL if required

* Tue Apr 17 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1
- Posibility to access home dir (Read Only)
- Fix ACL for rw users

* Fri Apr 06 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1
- Migrate to GIT
- make all shares accessible with open_basedir
- Fix diag_result templates expansion

* Sat Feb 18 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1-11
- Support user level ACL

* Tue Jan 03 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1-10
- Ajaxplorer 4.0 compatibility
- Support publiclets

* Tue Dec 06 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-9
- turn on JS debug (IE doesn't like compacted JS)

* Mon Dec 05 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-8
- Rise upload_max_number to 50

* Wed Nov 23 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-7
- Allow access to /usr/share/pear and to /usr/share/doc/ajaxplorer-*/client
- Warn the user after 10min of inactivity (instead of 3)
- Add support for logout URL
- Remove plugin cache files on updates
- Add support for meta.serial

* Thu Nov 03 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-6
- Fix default Recycle Bin dir

* Thu Oct 27 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-5
- Flush active sessions on privileges updates

* Mon Jul 11 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-4
- Reserve /ajaxplorer location

* Tue Jul 05 2011 Daniel B. <daniel@firewall-services.com> 0.1-3
- Honor Recycle Bin settings

* Tue Jun 28 2011 Daniel B. <daniel@firewall-services.com> 0.1-2
- Call ajaxplorer-user-rights later
- Fix display name of repositories

* Fri Jun 24 2011 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

